Fixed: Strict Standards: Non-static method JLoader::import()

Need help with the Administration of your Joomla! 1.5 site? This is the spot for you.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
MMCritter
Joomla! Apprentice
Joomla! Apprentice
Posts: 32
Joined: Thu Dec 06, 2007 3:42 pm

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Post by MMCritter » Mon Aug 25, 2014 6:24 am

BrunoCosta wrote:I'm using Joomla 3.0.3 with PHP 5.4 and have two errors:

Code: Select all

Strict Standards: Non-static method JSite::getMenu()
Strict Standards: Non-static method JApplication::getMenu()
I changed the PHP version to 5.3 and it corrected the errors.
Same error - same fix, changing the PHP Version to 5.3 was MAGIC! For those who don't know how to change your PHP Version, you should find the icon in the control panel - will look like this:
You do not have the required permissions to view the files attached to this post.

User avatar
dpacadmin
Joomla! Champion
Joomla! Champion
Posts: 6029
Joined: Sat Aug 16, 2008 1:46 pm
Location: the Bat Cave
Contact:

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Post by dpacadmin » Mon Sep 01, 2014 2:06 am

When you have migrated to Joomla 2.5 or 3 remember to reset your php version to the latest for security.

leili
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Sun Nov 02, 2014 2:44 pm

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Post by leili » Sun Nov 02, 2014 2:52 pm

for me it caused of php version , my site version was 5.3.1 but host current php version was 5.4 nation i changed it to 5.3 and it worked. :D

User avatar
Flasher
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 100
Joined: Mon Oct 31, 2005 6:24 pm
Location: Sinaloa, Mexico.

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Post by Flasher » Thu Jun 18, 2015 6:57 pm

i cannot change my php version, my site is blank... there is no more errors showing of course i change the error reportin off but i gte a blank front page still.........

User avatar
dpacadmin
Joomla! Champion
Joomla! Champion
Posts: 6029
Joined: Sat Aug 16, 2008 1:46 pm
Location: the Bat Cave
Contact:

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Post by dpacadmin » Thu Jun 18, 2015 7:17 pm

If you are using Joomla 1.5 and your host has updated your php version to 5.4 or higher you need to upgrade to Joomla 3, if you can not change the php version.
https://docs.joomla.org/Planning_Migrat ... a_1.5_to_3


Locked

Return to “Administration 1.5”